%define major 12
%define libname %mklibname dc1394_ %{major}
%define develname %mklibname dc1394 -d

Summary: 	Library for 1394 Digital Camera Specification
Name: 		libdc1394
Version: 	1.2.1
Release: 	%mkrel 6
License: 	GPL
Group: 		System/Libraries
URL: 		http://sourceforge.net/projects/libdc1394/
Source0: 	%{name}-%{version}.tar.bz2
Patch0:		libdc1394-0.9.5-lib64.patch
Patch1:		libdc1394-1.2.1-clk_tck-deprecated.patch
BuildRequires: 	libraw1394-devel X11-devel
Requires: 	libraw1394 kernel >= 2.4.2
Buildroot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
libdc1394 is a library that is intended to provide a high level programming
interface for application developers who wish to control IEEE 1394 based
cameras that conform to the 1394-based Digital Camera Specification (found at
http://www.1394ta.org/).

%package -n 	%{libname}
Summary: 	Dynamic library from libdc1394
Group: 		System/Libraries
Provides: 	libdc1394

%description -n %{libname}
libdc1394 is a library that is intended to provide a high level programming
interface for application developers who wish to control IEEE 1394 based
cameras that conform to the 1394-based Digital Camera Specification (found at
http://www.1394ta.org/).

%package -n 	%{develname}
Summary: 	Development components for libdc1394
Group: 		Development/C
Requires: 	%{libname} = %{version}-%{release}
%if "%{_lib}" != "lib"
Provides: 	libdc1394-devel = %{version}-%{release}
%endif
Provides: 	dc1394-devel = %{version}-%{release}
Provides: 	%{mklibname dc1394_ 12 -d} = %{version}
Obsoletes:	%{mklibname dc1394_ 12 -d}

%description -n %{develname}
libdc1394 is a library that is intended to provide a high level programming
interface for application developers who wish to control IEEE 1394 based
cameras that conform to the 1394-based Digital Camera Specification (found at
http://www.1394ta.org/).

This archive contains the header-files for libdc1394 development

%prep
%setup -q 
%patch0 -p1 -b .lib64
%patch1 -p1 -b .clk_tck
export WANT_AUTOCONF_2_1=1
autoreconf
aclocal

%build
%configure2_5x
make

%install
rm -rf %{buildroot}

%makeinstall

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README 
%{_libdir}/*.so.*

%files -n %{develname}
%defattr(-,root,root)
%{_bindir}/dc1394_vloopback
%{_includedir}/libdc1394
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a


%changelog
* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.2.1-6mdv2009.0
+ Revision: 222533
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Jan 13 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.2.1-5mdv2008.1
+ Revision: 150549
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Aug 31 2007 Oden Eriksson <oeriksson@mandriva.com> 1.2.1-4mdv2008.0
+ Revision: 76780
- new devel naming
- reconstruct the autofoo toolchain


* Wed Feb 14 2007 Götz Waschk <waschk@mandriva.org> 1.2.1-3mdv2007.0
+ Revision: 120708
- Import libdc1394

* Wed Feb 14 2007 Götz Waschk <waschk@mandriva.org> 1.2.1-3mdv2007.1
- use the right configure macro
- unpack patch
- additional devel provides

* Sun Sep 10 2006 Emmanuel Andry <eandry@mandriva.com> 1.2.1-2mdv2007.0
- disable // build

* Sun Jul 02 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.2.1-1mdv2007.0
- 1.2.1
- new major
- replace deprecated CLK_TCK with CLOCKS_PER_SEC (P1)
- remove COPYING & INSTALL from %%doc

* Tue Dec 27 2005 Stefan van der Eijk <stefan@eijk.nu> 1.1.0-1mdk
- 1.1.0
- %%mkrel

* Sun Jan 30 2005 Austin Acton <austin@mandrake.org> 1.0.0-2mdk
- rebuild for libraw1394

* Fri Nov 12 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.0.0-1mdk
- 1.0.0
- new major (old one incorrect btw.?)

* Tue Sep 21 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.9.5-2mdk
- lib64 fixes

* Thu Jul 15 2004 Nicolas Planel <nplanel@mandrakesoft.com> 0.9.5-1mdk
- 0.9.5
- fix bad char in Requires.

* Sun Jun 20 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.4-1mdk
- 0.9.4

